Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractUnstructuredGridPiece Class Reference

`#include <vtkExtractUnstructuredGridPiece.h>`

Inheritance diagram for vtkExtractUnstructuredGridPiece:

[legend]
Collaboration diagram for vtkExtractUnstructuredGridPiece:

[legend]
List of all members.

## Detailed Description

Return specified piece, including specified.

Date:
  2002/08/30 21:05:53

Revision:
  1.8

number of ghost levels.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (85%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkExtractUnstructuredGridPiece.h)`
  - .`cxx` (`/Parallel/vtkExtractUnstructuredGridPiece.cxx)`

Tests:
  vtkExtractUnstructuredGridPiece (Tests)

Definition at line 46 of file vtkExtractUnstructuredGridPiece.h.

## Public Types
typedef vtkUnstructuredGridToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCreateGhostCells (int)
virtual int | GetCreateGhostCells ()
virtual void | CreateGhostCellsOn ()
virtual void | CreateGhostCellsOff ()
## Static Public Methods
vtkExtractUnstructuredGridPiece * | New ()
int | IsTypeOf (const char *type)
vtkExtractUnstructuredGridPiece * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExtractUnstructuredGridPiece ()
| ~vtkExtractUnstructuredGridPiece ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
void | ComputeCellTags (vtkIntArray *cellTags, vtkIdList *pointOwnership, int piece, int numPieces)
void | AddGhostLevel (vtkUnstructuredGrid *input, vtkIntArray *cellTags, int ghostLevel)
## Protected Attributes
int | CreateGhostCells

## Member Typedef Documentation

typedef vtkUnstructuredGridToUnstructuredGridFilter vtkExtractUnstructuredGridPiece::Superclass

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter. Definition at line 50 of file vtkExtractUnstructuredGridPiece.h.

## Constructor & Destructor Documentation

vtkExtractUnstructuredGridPiece::vtkExtractUnstructuredGridPiece | ( |  | ) | `[protected]`

vtkExtractUnstructuredGridPiece::~vtkExtractUnstructuredGridPiece | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkExtractUnstructuredGridPiece.h.

## Member Function Documentation

vtkExtractUnstructuredGridPiece* vtkExtractUnstructuredGridPiece::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkExtractUnstructuredGridPiece::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

int vtkExtractUnstructuredGridPiece::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

virtual int vtkExtractUnstructuredGridPiece::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

vtkExtractUnstructuredGridPiece* vtkExtractUnstructuredGridPiece::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

void vtkExtractUnstructuredGridPiece::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

virtual void vtkExtractUnstructuredGridPiece::SetCreateGhostCells | ( | int |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual int vtkExtractUnstructuredGridPiece::GetCreateGhostCells | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkExtractUnstructuredGridPiece::CreateGhostCellsOn | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkExtractUnstructuredGridPiece::CreateGhostCellsOff | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

void vtkExtractUnstructuredGridPiece::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkExtractUnstructuredGridPiece::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkExtractUnstructuredGridPiece::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkUnstructuredGridSource.

void vtkExtractUnstructuredGridPiece::ComputeCellTags | ( | vtkIntArray * | cellTags,
|  | vtkIdList * | pointOwnership,
|  | int | piece,
|  | int | numPieces
| ) | `[protected]`

void vtkExtractUnstructuredGridPiece::AddGhostLevel | ( | vtkUnstructuredGrid * | input,
|  | vtkIntArray * | cellTags,
|  | int | ghostLevel
| ) | `[protected]`

## Member Data Documentation

int vtkExtractUnstructuredGridPiece::CreateGhostCells`[protected]`

| Definition at line 75 of file vtkExtractUnstructuredGridPiece.h.

The documentation for this class was generated from the following file:

- Parallel/vtkExtractUnstructuredGridPiece.h